Skip to content
Documentation sections

List Endpoints

GET /endpoint on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.

List the application's endpoints.

Query parameters

integer (uint64)

Limit the number of returned items

string, nullable

The iterator returned from a prior invocation

string, nullableenum

The sorting order of the returned items

Allowed:

Responses

Body: application/json, object.

FieldTypeRequiredDescription
dataarray of objectYes—
data[].idstringYesThe ep's ID.
data[].metadataobjectYesOptional additional properties for your endpoint.
data[].metadata.<key>stringNo—
data[].descriptionstringYesAn example endpoint name.
data[].rateLimitinteger (uint16), nullableNoRate limit of your endpoint in messages per second. This is an advanced field. Be aware that setting a low rateLimit can lead to a congestion queue and create delay in webhooks.
data[].uidstring, nullableNoOptional unique identifier for the endpoint.
data[].urlstring (uri)YesPublic url in your services where you plan to receive our webhooks. If you don't have a public url ready yet, you can use Svix play to test our webhooks https://www.svix.com/play/.
data[].versioninteger (int32)Yes—
data[].disabledbooleanNoWhen disabled is true, no messages will be sent to your endpoint. This can be used to deactivate a development or a testing endpoint when not in use. Default: false.
data[].filterTypesarray of string, nullableNo—
data[].channelsarray of string, nullableNoList of message channels this endpoint listens to (omit for all).
data[].createdAtstring (date-time)Yes—
data[].updatedAtstring (date-time)Yes—
iteratorstring, nullableNo—
prevIteratorstring, nullableNo—
donebooleanYes—